curl --request PUT \
--url https://api.wegly.com.br/integrations/external/proposals/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deal_code": "<string>",
"title": "<string>",
"notes": "<string>",
"discount_value": 1,
"valid_until": "2023-11-07T05:31:56Z",
"approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"rejected_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"delete": true,
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 1.001,
"unit_price": 1,
"discount_value": 1,
"notes": "<string>",
"is_recurring_default": true,
"contract_term_months": 2,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"billing_cycles": 2
}
]
}
'import requests
url = "https://api.wegly.com.br/integrations/external/proposals/{id}"
payload = {
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deal_code": "<string>",
"title": "<string>",
"notes": "<string>",
"discount_value": 1,
"valid_until": "2023-11-07T05:31:56Z",
"approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"rejected_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"delete": True,
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 1.001,
"unit_price": 1,
"discount_value": 1,
"notes": "<string>",
"is_recurring_default": True,
"contract_term_months": 2,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"billing_cycles": 2
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lead_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
deal_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
deal_code: '<string>',
title: '<string>',
notes: '<string>',
discount_value: 1,
valid_until: '2023-11-07T05:31:56Z',
approved_by: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
approved_at: '2023-11-07T05:31:56Z',
archived_at: '2023-11-07T05:31:56Z',
rejected_at: '2023-11-07T05:31:56Z',
items: [
{
id: '<string>',
delete: true,
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sku: '<string>',
name: '<string>',
description: '<string>',
quantity: 1.001,
unit_price: 1,
discount_value: 1,
notes: '<string>',
is_recurring_default: true,
contract_term_months: 2,
start_date: '2023-11-07T05:31:56Z',
end_date: '2023-11-07T05:31:56Z',
billing_cycles: 2
}
]
})
};
fetch('https://api.wegly.com.br/integrations/external/proposals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lead": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"deal": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"code": 123,
"version": 123,
"title": "<string>",
"notes": "<string>",
"is_primary": true,
"discount_value": 123,
"subtotal": 123,
"total": 123,
"items_count": 123,
"valid_until": "2023-11-07T05:31:56Z",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"avatar": "<string>"
},
"approved_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"approved_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"rejected_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"name": "<string>",
"image": "<string>"
},
"name": "<string>",
"description": "<string>",
"unit": 123,
"quantity": 123,
"unit_price": 123,
"discount_value": 123,
"subtotal": 123,
"total": 123,
"notes": "<string>",
"is_recurring_default": true,
"billing_interval_default": 123,
"contract_term_months": 123,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"billing_cycles": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Atualização de proposta
Atualiza a proposta informada. - deal_code pode ser usado para trocar o contexto do negócio sem enviar deal_id. - Quando items é enviado, a lista inteira é reprocessada e aceita remoções com delete: true. - Itens com sku e sem product_id são resolvidos pelo catálogo da empresa.
Authorizations
Utilize o token de integração no header Authorization: Bearer {token}. O domínio de origem (Origin/Referer) deve respeitar allowed_domain, quando configurado na chave.
Path Parameters
UUID da proposta.
Body
501501 = negociação, 2 = aprovada, 3 = rejeitada, 4 = arquivada, 5 = dispensada.
1, 2, 3, 4, 5 0 = percentual, 1 = valor fixo.
0, 1 x >= 0Show child attributes
Show child attributes
Response
Proposta atualizada.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
1 = negociação, 2 = aprovada, 3 = rejeitada, 4 = arquivada, 5 = dispensada.
1, 2, 3, 4, 5 0 = percentual, 1 = valor fixo.
0, 1 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
